Index: Lib/test/test_posix.py
===================================================================
--- Lib/test/test_posix.py	(revision 61007)
+++ Lib/test/test_posix.py	(working copy)
@@ -203,6 +203,17 @@
             if hasattr(st, 'st_flags'):
                 posix.lchflags(test_support.TESTFN, st.st_flags)
 
+    def test_times(self):
+        if hasattr(posix, 'times'):
+            # See issue #1040026.
+            WAIT_TIME = 0.3
+            start_times = posix.times()[0] + posix.times()[1]
+            start_clock = time.clock()
+            while time.clock() - start_clock < WAIT_TIME:
+                pass
+            elapsed = posix.times()[0] + posix.times()[1] - start_times
+            self.assert_(abs(WAIT_TIME - elapsed) <= 0.015)
+
 def test_main():
     test_support.run_unittest(PosixTester)
 
